Subject: bug#3395: 23.0.94; Remove colon after option etc. name

From: martin rudalics <[email-masked]>
Date: Thu, 28 May 2009 19:11:30 +0200

> I don't use `variable-at-point'. I do use a command that uses Emacs-Lisp symbol
 > syntax, which is the right syntax to use here.

So you request a change of cus-edit.el just because you're not able to
write a command that DTRT here ;-)

 >> Commands that do not change the syntax table do get this right.  Try,
 >> for example, info-lookup on such an item.  It should even work for
 >> unlispified items.
 >
 > That's fine, but it is totally unrelated to what I reported and requested.

It is related because it can find things you're not able to find.

 > This is not about changing the command. It is simply about removing the useless
 > colon. Is that too hard?

It might be.

 >> Changing customization code is 100% dangerous.
 >
 > Don't be ridiculous. You are making, in several separate ways, a mountain out of
 > a mole hill.

Hence code like

	     (unless (string-match ":" format)
	       (error "Bad format"))

in cus-edit.el is something you understand and can explain.

martin